Subject: Next item needed
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Wed, 25 Apr 2007 18:04:35 -0400

Mike,
This is a separate issue but kind of tied to the shipping functions.  I would like to be able to address the "Back Order issue".  Currently we are doing all back orders manually.  What I would like you build is the ability to "announce" products to be on back order.  This would be a shipping responsibility and should only be visible on the shipping tab.  I would like for it to be a protected (password)
so that only select few can actually report a back order.  A separate tab on the shipping page would work (maybe in RED so it stands out).  Once selected, it would take you to a separate page so that you may select which items are on back order.  I would like it to be set up basically as a copy of the "View all products" list which is on step 3 of the order wizard.  This drop down needs to be "Ctrl clickable" so you can select multiple items at a time.  For instance if Alabama English posters are on backorder, we can choose just the three choices that would be affected by this backorder.  (Here's where it could get tricky if we aren't already there.)  I would like the system to then "mark off" those items as back ordered and keep that info. in a specific place.  Along with all of this, I would like the system to note the account of the back order and the item back ordered (all of this info. recorded in the company notes).  When ordering and a back ordered item is chosen, I would like the system to alert the order taker/placer as "ALERT, the following items are on backorder:" and then display those items.  I would like any orders entered to be moved to another location so that they may be printed separately and to be pulled up at a later date.    I also would like the ability to recall the orders that are on back order once the item has been taken off back order.  Removing a back order would need to be a separate function.  This is a lot of detail but I am sure I am actually missing some more detail.  Go ahead and start working on this as soon as you have completed the other requests, that would be great.
Thanks,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]